<template>
    <div class="w-100">
        <div class="max-w-7xl mx-auto py-6 px-4 sm:px-6 lg:px-8 flex justify-between">
            <h1 class="text-3xl font-bold text-gray-900">
                Vehiculos
            </h1>
            <div class="float-right">
                <button type="button" class="border rounded p-2 border-blue-600 text-blue-600" @click="create">Nuevo</button>
            </div>
        </div>
        <div class="max-w-7xl mx-auto py-6 px-4 sm:px-6 lg:px-8">
            <div class="flex flex-col">
                <div class="-my-2 overflow-x-auto sm:-mx-6 lg:-mx-8">
                    <div class="py-2 align-middle inline-block min-w-full sm:px-6 lg:px-8">
                        <div class="shadow overflow-hidden border-b border-gray-200 sm:rounded-lg">
                            <table class="min-w-full divide-y divide-gray-200">
                                <thead class="bg-gray-50">
                                <tr>
                                    <th scope="col" class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">
                                        Marca
                                    </th>
                                    <th scope="col" class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">
                                        Modelo
                                    </th>
                                    <th scope="col" class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">
                                        Version
                                    </th>
                                    <th scope="col" class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">
                                        Año
                                    </th>
                                    <th scope="col" class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">
                                        Estado
                                    </th>
                                    <th scope="col" class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">
                                        Fecha Ingreso
                                    </th>
                                    <th scope="col" class="relative px-6 py-3">
                                        <span class="sr-only">Edit</span>
                                    </th>
                                </tr>
                                </thead>
                                <tbody class="bg-white divide-y divide-gray-200">
                                    <tr v-for="(vehicle, index) in vehicles.data" :key="index">
                                        <td class="px-6 py-4 whitespace-nowrap">
                                            <div class="flex items-center">
                                                <div class="flex-shrink-0 h-10 w-10" v-if="vehicle.imagen">
                                                    <img class="h-10 w-10 rounded-full" :src="vehicle.imagen" alt="Img"/>
                                                </div>
                                                <div class="ml-4">
                                                    <div class="text-sm text-gray-500">
                                                        {{ vehicle.marca }}
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <td class="text-sm text-gray-500 pl-3">{{ vehicle.modelo }}</td>
                                        <td class="text-sm text-gray-500 pl-3">{{ vehicle.version }}</td>
                                        <td class="text-sm text-gray-500 pl-3">{{ vehicle.anio }}</td>
                                        <td class="text-sm text-gray-500 pl-3">
                                            <span :class="`border p-2 rounded text-white ${vehicle.estado ? 'border-green-400 bg-green-400':'border-red-400 bg-red-400'}`">{{ vehicle.estado_text }}</span>
                                        </td>
                                        <td class="text-sm text-gray-500 pl-3">{{ vehicle.fecha_ingreso }}</td>
                                        <td class="px-6 py-4 whitespace-nowrap text-right text-sm font-medium">
                                            <button type="button" class="border rounded p-2 border-green-600 text-green-600" @click="edit(vehicle.id)">Editar</button>
                                            <button type="button" class="border rounded p-2 border-red-600 text-red-600" @click="destroy(vehicle.id)">Eliminar</button>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="max-w-7xl mx-auto py-6 px-4 sm:px-6 lg:px-8">
            <Pagination
            :links="vehicles.links"
            :meta="vehicles.meta"
            @change-page="findAll"
            ></Pagination>
        </div>
    </div>
</template>

<script>
import {mapActions, mapState} from "vuex";
import Pagination from "../Pagination";

export default {
    name: "ListVehicles",
    components: {Pagination},
    mounted () {
        this.findAll();
    },
    methods: {
        ...mapActions('vehicle', [
            'findAll',
            'create',
            'destroy',
            'edit'
        ])
    },
    computed: {
        ...mapState('vehicle', {
            vehicles: state => state.vehicles
        })
    }
}
</script>

<style scoped>

</style>
